> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Domain to Asset Extraction Version2

> Extract extended brand assets and theme details from a domain homepage.



## OpenAPI

````yaml POST /features/domain-to-asset-v2
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/domain-to-asset-v2:
    post:
      description: Extract extended brand assets and theme details from a domain homepage.
      requestBody:
        description: Domain-to-asset v2 parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainToAssetV2Request'
        required: true
      responses:
        '200':
          description: Assets extracted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainToAssetV2Response'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    DomainToAssetV2Request:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: URL of the domain to extract information from
    DomainToAssetV2Response:
      type: object
      properties:
        logo_url:
          type:
            - string
            - 'null'
          description: URL of the review video thumbnail
        favicon_url:
          type:
            - string
            - 'null'
          description: URL of the review video thumbnail
        primary_button_color:
          type:
            - string
            - 'null'
          description: Color hex code
        page_background_color:
          type:
            - string
            - 'null'
          description: Color hex code
        primary_text_color:
          type:
            - string
            - 'null'
          description: Color hex code
        secondary_text_color:
          type:
            - string
            - 'null'
          description: Color hex code
        card_background_color:
          type:
            - string
            - 'null'
          description: Color hex code
        card_on_hover_color:
          type:
            - string
            - 'null'
          description: Color hex code
        font_family:
          type:
            - string
            - 'null'
          description: Font family name
        primary_language:
          type:
            - string
            - 'null'
          description: Target language
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````